Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 27 Nov 2014, 23:23
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
Blender downloads on Puppy 5.25
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [5 Posts]  
Author Message
NventiveGuy

Joined: 04 Jun 2009
Posts: 10

PostPosted: Wed 28 Nov 2012, 18:32    Post subject:  Blender downloads on Puppy 5.25
Subject description: I've downloaded Blender3D 3 times, but it doesn't run.
 

I have 2 questions.

1.
I have Puppy 5.25 running on an Acer Aspire netbook.
I've used Puppy Package Manager to download/install Blender a few times, but when I click on the menu item in Graphic > Graphics Processing, nothing happens. I looked at the run script, but don't know that programming language well enough, nor do I have time to figure it out by reading shell script.

Do I have enough hardware to run it?
Am I downloading the wrong version of it? (I thought that the PkgMgr only gave me ability to download pkgs that are compatible with my system version, but I could be wrong.)


2.
The other question I have is about Puppy 5.4. Will it run on my little laptop? I thought I read that it was mostly for 64-bit machines, but now I can't find where I read that. I can't find a list of "Puppy 5.4 features" that is not almost entirely about this rev of software or that rev of build platforms, or anything that I know something about.

Could someone point me to an easy-to-read overview of 5.4 and why I would want to run it---and can I run it on my hardware?

Thanks!!
Back to top
View user's profile Send private message 
steve_s


Joined: 26 May 2008
Posts: 1545
Location: Austin, TX, USA

PostPosted: Mon 03 Dec 2012, 17:47    Post subject: Re: Blender downloads on Puppy 5.25
Subject description: I've downloaded Blender3D 3 times, but it doesn't run.
 

NventiveGuy wrote:
I have 2 questions.

1.
I have Puppy 5.25 running on an Acer Aspire netbook.
I've used Puppy Package Manager to download/install Blender a few times, but when I click on the menu item in Graphic > Graphics Processing, nothing happens. I looked at the run script, but don't know that programming language well enough, nor do I have time to figure it out by reading shell script.

Do I have enough hardware to run it?
Am I downloading the wrong version of it? (I thought that the PkgMgr only gave me ability to download pkgs that are compatible with my system version, but I could be wrong.)



What did you download? Did you download it directly from the Blender website? if so , then you may have downloaded a source package, in which case you will need to get your version of the devx sfs package and complile Blender for your machine.

But I recomend that you google "puppy linux forum Blender" and look for the .pet package if someone else has compiled it on an available thread. Puppy installs .pet packages (as opposed to, for example, windows that uses .exe files).

As far as whether or not it will run on your machine, once you've got it installed, open a terminal, and try to run it from terminal. If it runs, you're good. If you get an error, then you'll know more. Good luck. Wink
Back to top
View user's profile Send private message Visit poster's website 
muggins

Joined: 20 Jan 2006
Posts: 6690
Location: lisbon

PostPosted: Mon 03 Dec 2012, 20:30    Post subject:  

Maxerro has uploaded Blender-2.63.sfs. On Puppy5.2.8 it will run after right-clicking & selecting sfs_load.

For help with errors you need, as Steve_s mentions, to run blender in a console & then post whatever errors you're getting.
Back to top
View user's profile Send private message 
NventiveGuy

Joined: 04 Jun 2009
Posts: 10

PostPosted: Mon 10 Dec 2012, 09:27    Post subject:  Blender 2.63 sfs seems to work on netbook!
Subject description: Downloaded sfs; seems to run fine; may run from console later.
 

muggins:
I downloaded the sfs file that you linked me to (fast! in like 2 seconds).
Right-clicked on it, and said "Yes" to the "Run it now?" question.
Seems to be running just fine---which is total awesomeness!!!
Thanks!

I'll also run later from a console, just to see if there are errors.


steve_s:
As I said in the initial post, I used the Puppy Package Manager.
There were 3 versions listed in the Graphics section:
-----
blender-2.56a-beta-lucid52 Create and edit 3D models and animations
Blender-2.49.2-Lucid52 Create and edit 3D models and animations
Blender-2.49.2-Lucid 3D models and animations *Install Python First*
-----

I installed all 3, individually, but none ran---even when I did the "install Python first" step. Maybe I could have run from a console successfully?

I searched the forum/s again (not sure which one/s), and found a friendly fellow who posted his *6* steps to get Blender running. I tried the links in his post, but they didn't work, so I sent him a message.

He replied several days later saying he was going to send me a link to his files. I thought I sent him email, but can't find it in my Yahoo account, or on PuppyLinux.info. So I'll look for it later today when I get time---so he won't be doing unnecessary work.


Thank you BOTH for the help. People on this forum continue to amaze me.


BTW--in the meantime, I bought a little faster machine with a touchscreen+stylus to do CAD better: Dell XT tablet PC (off eBay). It has Win8 (ghastly GUI!), but no product key.

So rather than making Gates richer, I will install Puppy 5.28 on it as well, and then this Blender sfs. Yay!!
Back to top
View user's profile Send private message 
steve_s


Joined: 26 May 2008
Posts: 1545
Location: Austin, TX, USA

PostPosted: Mon 10 Dec 2012, 14:52    Post subject: Re: Blender 2.63 sfs seems to work on netbook!
Subject description: Downloaded sfs; seems to run fine; may run from console later.
 

NventiveGuy wrote:
steve_s:
As I said in the initial post, I used the Puppy Package Manager.


Oops, sorry I missed that...

I guess what we were after is whether you tried to run it from terminal and did it work there...

Glad to hear you got a faster machine and hopefully that will get it going. Cool

**Edit: and now just saw the subject and that you got it running; great!
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 1 of 1 [5 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0563s ][ Queries: 11 (0.0046s) ][ GZIP on ]